#include <stdio.h>
#include "libwap.h"

/*
 *	WAP libraries
 */
 
void wml_header(int cachetime)
{
	printf("<?xml version=\"1.0\"?>\r\n");
	printf("<!DOCTYPE wml PUBLIC \"-//WAPFORUM//DTD WML 1.1//EN\"\r\n");
	printf(" \"http://www.wapforum.org/DTD/wml_1.1.xml\">\r\n");
	printf("<wml>\r\n");
	if(cachetime!=-1)
		printf("<head><meta http-equiv=\"Cache-Control\" content=\"max-age=300\"/></head>\r\n");
}

void wml_footer(void)
{
	printf("</wml>\r\n");
}

void wml_link(char *title, char *url, char *txt)
{
	printf("<a title=\"%s\" href=\"%s\">%s</a><br/>\r\n",
		title,url, txt);
}

void wml_do(char *type, char *label, char *url)
{
	printf("<do type=\"%s\" label=\"%s\">\r\n", type,label);
	printf("<go href=\"%s\"/>\r\n", url);
	printf("</do>\r\n");
}

void wml_br(void)
{
	printf("<br/>\r\n");
}


void mail_edit(void)
{
	wml_header(-1);
	printf("<card>\r\n");
	printf("<p>To: <input type=\"text\" name=\"to\" format=\"*M\"/></p>\r\n");
	printf("<p>Subject: <input type=\"text\" name=\"subject\" format=\"*M\"/></p>\r\n");
	printf("<p>Message: <input type=\"text\" name=\"body\" format=\"*M\"/></p>\r\n");
	printf("<p><anchor>Send\r\n");
	printf("<go method=\"post\" href=\"http://foo\">\r\n");
	printf("<postfield name=\"to\" value=\"$(to)\"/>\r\n");
	printf("<postfield name=\"subject\" value=\"$(to)\"/>\r\n");
	printf("<postfield name=\"body\" value=\"$(to)\"/>\r\n");
	printf("</go></anchor></p>\r\n");
	printf("</card>\r\n");
	wml_footer();
}

void wml_back(void)
{
	printf("<do type=\"prev\" label=\"Back\"><prev/></do>\r\n");
}
